summary refs log tree commit diff
path: root/publish.sh
diff options
context:
space:
mode:
Diffstat (limited to 'publish.sh')
-rwxr-xr-xpublish.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/publish.sh b/publish.sh
new file mode 100755
index 0000000..c294451
--- /dev/null
+++ b/publish.sh
@@ -0,0 +1,8 @@
+set -exuo pipefail
+
+npx @11ty/eleventy
+mkdir -p /srv/www.starfall.systems
+cp -r _site /srv/www.starfall.systems
+
+install www.starfall.systems /etc/nginx/sites-available/www.starfall.systems
+sudo nginx -s reload